function hideCompanyDetails() {
	var tab = document.getElementById('annx3table');
	var rowcount = tab.rows.length;
	for (var i = 0; i < rowcount - 4; i++) {
		var compFlag = document.getElementsByName('invstmtHeld[' + i + '].companyFlag')[0].value;
		if (compFlag == 'N') {
			document.getElementsByName('invstmtHeld[' + i + '].sharesClass')[0].value = '';
			document.getElementsByName('invstmtHeld[' + i + '].sharesClass')[0].disabled = true;
			document.getElementsByName('invstmtHeld[' + i + '].classOfShare')[0].value = '';
			document.getElementsByName('invstmtHeld[' + i + '].classOfShare')[0].disabled = true;
		}else if (compFlag == 'Y'){
			document.getElementsByName('invstmtHeld[' + i + '].sharesClass')[0].value = '';
			document.getElementsByName('invstmtHeld[' + i + '].sharesClass')[0].disabled = false;
			document.getElementsByName('invstmtHeld[' + i + '].classOfShare')[0].value = '';
			document.getElementsByName('invstmtHeld[' + i + '].classOfShare')[0].disabled = false;
		}else if (compFlag == ''){
			document.getElementsByName('invstmtHeld[' + i + '].sharesClass')[0].value = '';
			document.getElementsByName('invstmtHeld[' + i + '].sharesClass')[0].disabled = true;
			document.getElementsByName('invstmtHeld[' + i + '].classOfShare')[0].value = '';
			document.getElementsByName('invstmtHeld[' + i + '].classOfShare')[0].disabled = true;
		}
	}
}

this.hideCompanyDetails();